import { App } from '@abearxiong/router';
import { useConfig } from '@abearxiong/use-config';
import { dynamicImport } from './lib/dynamic-import.ts';

useConfig();

export const app = new App({
  serverOptions: {
    cors: {
      origin: '*',
    },
  },
  routerContext: {
    import: dynamicImport,
  },
});
